### Function

# Pango tailor_break

#### Declaration [src]

    void
    pango_tailor_break (
      const char* text,
      int length,
      PangoAnalysis* analysis,
      int offset,
      PangoLogAttr* log_attrs,
      int log_attrs_len
    )

#### Description [src]

Apply language-specific tailoring to the breaks in `log_attrs`.

The line breaks are assumed to have been produced by `pango_default_break()`.

If `offset` is not -1, it is used to apply attributes from `analysis` that are relevant to line breaking.

Available since: | 1.44

#### Parameters

`text` | `const char*`
| Text to process. Must be valid UTF-8
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length in bytes of `text`.
`analysis` | `PangoAnalysis`
| `PangoAnalysis` for `text`.
| The data is owned by the caller of the function.
`offset` | `int`
| Byte offset of `text` from the beginning of the paragraph, or -1 to ignore attributes from `analysis`.
`log_attrs` | An array of `PangoLogAttr`
| Array with one `PangoLogAttr` per character in `text`, plus one extra, to be filled in.
| The length of the array is specified in the `log_attrs_len` argument.
| The data is owned by the caller of the function.
`log_attrs_len` | `int`
| Length of `log_attrs` array.